import { JavaObject } from '../../../java/lang/JavaObject';
import { JavaMapEntry } from '../../../java/util/JavaMapEntry';
import { JavaIterator } from '../../../java/util/JavaIterator';
import { AVLMapSubMap } from '../../../core/adt/map/AVLMapSubMap';
export declare class AVLMapSubEntrySetIterator<K, V> extends JavaObject implements JavaIterator<JavaMapEntry<K, V>> {
    private readonly _sub;
    private _current;
    private _next;
    /**
     * Erstellt einen neuen ENTRY-Iterator für die angegebene {@link AVLMapSubMap} im gültigen
     * {@link AVLMapIntervall}.
     *
     * @param sub Die {@link AVLMapSubMap} auf der operiert wird.
     */
    constructor(sub: AVLMapSubMap<K, V>);
    next(): JavaMapEntry<K, V>;
    hasNext(): boolean;
    remove(): void;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_adt_map_AVLMapSubEntrySetIterator<K, V>(obj: unknown): AVLMapSubEntrySetIterator<K, V>;
